---     
tags: 
  - API Requests
description: Returns requests made to the API, filtered by `status`.<br/>Use query params `page` (default 1) and `per_page` (default 10) to paginate.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true 
  - in: url
    name: status
    type: string
    required: true
    enum: ['success', 'warning', 'error']  
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: [
        {
            "id": 256,
            "method": "GET",
            "response_http_code": 200,
            "response_timestamp": "2024-01-01 00:00:00",
            "timestamp": "2024-01-01 00:00:00",
            "url": "https://request.url",
            "user": {
                "id": 1,
                "name": "User name"
            }
        }
      ]
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'

